Bug 834821 - Selecting "Polish support" group does not install any dictionaries
Selecting "Polish support" group does not install any dictionaries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 18:51 EDT by markm
Modified: 2013-06-17 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 10:40:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/anaconda log files (115.84 KB, application/octet-stream)
2012-09-04 06:41 EDT, markm
no flags Details

  None (edit)
Description markm 2012-06-23 18:51:43 EDT
Description of problem:

I've just installed Fedora 17, during the installation I've selected "Polish support" in order to get polish dictionaries to be installed for me.

Version-Release number of selected component (if applicable):


How reproducible:

I've repeated installation in a virtual machine, same effect.


Steps to Reproduce:
1. Download official Fedora 17 iso
2. being installation (vm is just fine)
3. Select anaconda's language to English
4. During the package selection add "Polish support"
  
Actual results:

no dictionaries are installed

Expected results:

at least aspell-pl, libreoffice-langpack-pl to be installed

Additional info:
Comment 1 Jesse Keating 2012-06-25 11:44:33 EDT
Can you attach all the files from /var/log/anaconda/  on your installed system?
Comment 2 markm 2012-09-04 06:41:09 EDT
I've just installed fresh Fedora 17 on my work laptop, this time without internet access (wanted it to be quick, with no updates), so there was no option for a "Polish Support". After the installation I had to manually install the following packages:

aspell-pl
autocorr-pl
hunspell-pl
hyphen-pl
libreoffice-langpack-pl
man-pages-pl
mythes-pl

When I saw the "Polish Support" group, I would see some fonts only. Which is not what language support stands for. It's not a brainer, some people would like to have multi language support installed during the installation. Ie. my sister lives in Spain, she works at the university, where all her work needs to be done in English, but she also uses Polish. So when I upgrade her laptop to the latest Fedora, I would like to select “Polish Support”, “Spanish Support” and keep OS in English. Then I would expect those packages either to install dictionaries or at least give me an option to select ones I want!

Attached anaconda.tar.gz with all files /var/log/anaconda
Comment 3 markm 2012-09-04 06:41:42 EDT
Created attachment 609625 [details]
/var/log/anaconda log files
Comment 4 Jesse Keating 2012-09-04 12:07:34 EDT
I believe this is fixed in F18, where we no longer have specific "foo-support" groups.  Instead we make use of the yum langpacks support and install the correct stuff if a given language is used.

Please try with Fedora 18 Alpha when it releases.
Comment 5 markm 2012-09-05 08:05:34 EDT
How that's going to work?

Ie. I use my fedora in English (UK), but need Polish and Spanish dictionaries installed, I do not want to use my fedora in either Polish or Spanish - it would be perfect, if I could select any additional language packs during the installation.
Comment 6 Chris Lumens 2013-03-11 17:23:56 EDT
Radek - this will be solved by your work on the language spoke for F19.
Comment 7 Radek Vykydal 2013-06-17 10:40:25 EDT
This should be fixed in Fedora 19 where you can choose additional support using LANGUAGE SUPPORT screen.

Note You need to log in before you can comment on or make changes to this bug.